=== debian/changelog ===
arcboot (0.3.8.8) unstable; urgency=low

  * Non-Maintainer Upload, with maintainer consent.
  * scripts/arcboot:
    + Fix syntax error when $IMAGE isn't found (closes: #329111).
  * debian/control:
    + Bumped Standards-Version to 3.7.2 (no changes).
    + Added ${misc:Depends} to arcboot's Depends, to get the debconf
      dependency.
  * Added spanish debconf translation, courtesy of César Gómez Martín
    (closes: #333875).
  * Added swedish debconf translation, courtesy of Daniel Nylander
    (closes: #331295).
  * Fixed po/ja.po Content-Type (seems to be UTF-8 instead of EUC-JP ?)

 -- Julien BLACHE <jblache@debian.org>  Mon, 14 Aug 2006 11:34:48 +0000
