=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: arcboot
 Section: admin
 Priority: optional
-Maintainer: Guido Guenther <agx@debian.org>
+Maintainer: Guido Guenther <agx@sigxcpu.org>
 Uploaders: Thiemo Seufer <ths@debian.org>
 Build-Depends: debhelper (>=4.1.16), e2fslibs-dev
+Vcs-Git: http://honk.sigxcpu.org/git/arcboot.git/
 Standards-Version: 3.7.2
 
 Package: arcboot
@@ -18,7 +19,7 @@
 
 Package: tip22
 Architecture: mips
-Depends: binutils | binutils-multiarch, file
+Depends: binutils, file
 Description: Tftp boot image builder for SGI/MIPS IP22 and IP32 machines
  tip22 is used to merge kernel and initrd into one bootable image. This
  image also contains a small loader stub that copies the kernel to its
