=== debian/rules ===
--- 
+++ 
@@ -76,16 +76,7 @@
 	dh_installdebconf
 	dh_installdocs
 	dh_installexamples etc/arcboot.conf -parcboot
-	dh_installexamples tip22/kernel/ -ptip22
-	dh_installmenu
-#	dh_installlogrotate
-#	dh_installemacsen
-#	dh_installpam
-#	dh_installmime
-#	dh_installinit
-	dh_installcron
 	dh_installman
-	dh_installinfo
 #	dh_undocumented
 	dh_installchangelogs
 	dh_link
