## arcboot 0.3.10

=== debian/changelog ===
arcboot (0.3.10) unstable; urgency=low

  * Thanks Julien for the NMU!
  * Revert the tftpload fix from 0.3.9.1 since it causes the the kernel
    to OOM
  * apply an IP22 tftploader hack so the kernel + di-initrd fit into the
    reserved space (Closes: #452933) - will need to be cleaned up
  * Update German translation (Closes: #462681)
  * Update Japanese translation (Closes: #463325)

 -- Guido Guenther <agx@sigxcpu.org>  Sat, 16 Feb 2008 15:15:25 +0100

arcboot (0.3.9.1) unstable; urgency=low

  * Non-Maintainer Upload requested by Guido.

  * Apply my temporary fix for #452798, hence not closing yet.
  * Update french debconf translation (closes: #452933).
  * debian/control:
    + Bump Standards-Version to 3.7.3 (no changes).
  * debian/rules:
    + Do not ignore failures in clean target.
  * Added lintian overrides for /usr/lib/arcboot/arcboot.ip32
    - arcboot: unstripped-binary-or-object ./usr/lib/arcboot/arcboot.ip32
    - arcboot: statically-linked-binary ./usr/lib/arcboot/arcboot.ip32

 -- Julien BLACHE <jblache@debian.org>  Thu, 24 Jan 2008 14:14:59 +0000
