=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Thiemo Seufer <ths@debian.org>
 Build-Depends: debhelper (>=4.1.16), e2fslibs-dev
 Vcs-Git: http://honk.sigxcpu.org/git/arcboot.git/
-Standards-Version: 3.7.2
+Standards-Version: 3.7.3
 
 Package: arcboot
 Architecture: mips
