## arcboot 0.3.14+squeeze0

=== Makefile ===
--- 
+++ 
@@ -11,24 +11,26 @@
 KERNELADDR=0x88002000
 MAXLOADSIZE=0x1700000
 LOADADDR=0x88802000
+TIP_LOADADDR=0x89702000
 OUTPUTFORMAT=ecoff-bigmips
 endif
 ifeq ($(SUBARCH),IP32)
 KERNELADDR=0x80004000
 MAXLOADSIZE=0x1400000
 LOADADDR=0x81404000
+TIP_LOADADDR=$(LOADADDR)
 OUTPUTFORMAT=elf32-tradbigmips
 endif
 
 # these contain subarch independent files
 SUBARCH_INDEP_DIRS=	\
-	arclib		\
-	tip22
+	arclib
 
 # these contain subarch dependent files
 SUBARCH_DIRS=		\
 	common		\
-	ext2load
+	ext2load        \
+	tip22
 
 define indep-tgt
 $(foreach sd,$(SUBARCH_INDEP_DIRS),$(1)-subarch-indep-$(sd))
@@ -63,7 +65,13 @@
 endef
 
 define submake
-@$(MAKE) -C $(1) SUBARCH=$(SUBARCH) LOADADDR=$(LOADADDR) MAXLOADSIZE=$(MAXLOADSIZE) KERNELADDR=$(KERNELADDR) OUTPUTFORMAT=$(OUTPUTFORMAT) $(2)
+@$(MAKE) -C $(1) SUBARCH=$(SUBARCH)           \
+                 LOADADDR=$(LOADADDR)         \
+                 TIP_LOADADDR=$(TIP_LOADADDR) \
+                 MAXLOADSIZE=$(MAXLOADSIZE)   \
+                 KERNELADDR=$(KERNELADDR)     \
+                 OUTPUTFORMAT=$(OUTPUTFORMAT) \
+                 $(2)
 endef
