=== debian/changelog ===
arcboot (0.3.14+squeeze0) stable; urgency=low

  * This upload fixes the netinstall on IP22 and IP32
  * [5e61c13] tip22: Drop .gnu.att section mapped add VMA 0
  * [01c99b5] Move the tip22 image to 0x89702000 on IP22 as described in
    #452798. Thanks to Edwin Kwan for analyzing this.
  * [399eff1] Fix address substitution for IP32. It was being handled as IP22
    in tip22.
  * [acd5d82] Cleanup all subarches

 -- Guido Günther <agx@sigxcpu.org>  Thu, 16 Jun 2011 23:38:40 +0200
