=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: admin
 Priority: optional
 Maintainer: Guido Günther <agx@sigxcpu.org>
-Uploaders: Thiemo Seufer <ths@debian.org>
 Build-Depends: debhelper (>=4.1.16), e2fslibs-dev
-Vcs-Git: http://honk.sigxcpu.org/git/arcboot.git/
-Standards-Version: 3.8.0
+Vcs-Git: git://honk.sigxcpu.org/git/arcboot.git/
+Homepage: https://honk.sigxcpu.org/piki/projects/arcboot/
+Standards-Version: 3.8.4
 
 Package: arcboot
 Architecture: mips
@@ -18,7 +18,7 @@
 
 Package: tip22
 Architecture: mips
-Depends: binutils, file
+Depends: ${misc:Depends}, binutils, file
 Description: Tftp boot image builder for MIPS based SGI IP22 and IP32 machines
  tip22 is used to merge kernel and initrd into one bootable image. This
  image also contains a small loader stub that copies the kernel to its
