=== debian/rules ===
--- 
+++ 
@@ -44,9 +44,10 @@
 	dh_testdir
 	rm -f build-stamp configure-stamp
 
-	# Add here commands to clean up after the build process.
-	$(MAKE) clean
+	$(MAKE) SUBARCH=IP32 clean
+	$(MAKE) SUBARCH=IP22 clean
 	rm -f arcboot.ip22 arcboot.ip32
+
 
 	dh_clean
 
@@ -63,7 +64,8 @@
 
 	# install tip22 into debian/tip22
 	$(MAKE) PREFIX=${PREFIX_TIP22} BINDIR=${BIN_TIP22} LIBDIR=${LIB_TIP22} -C arclib install
-	$(MAKE) PREFIX=${PREFIX_TIP22} BINDIR=${BIN_TIP22} LIBDIR=${LIB_TIP22} -C tip22 install
+	$(MAKE) SUBARCH=IP22 PREFIX=${PREFIX_TIP22} BINDIR=${BIN_TIP22} LIBDIR=${LIB_TIP22} -C tip22 install
+	$(MAKE) SUBARCH=IP32 PREFIX=${PREFIX_TIP22} BINDIR=${BIN_TIP22} LIBDIR=${LIB_TIP22} -C tip22 install
 
         # Install lintian overrides
 	cp debian/arcboot.lintian-overrides $(CURDIR)/debian/arcboot/usr/share/lintian/overrides/arcboot
